<?php
namespace Mirasvit\SeoMarkup\Block\Og\Product;

/**
 * Interceptor class for @see \Mirasvit\SeoMarkup\Block\Og\Product
 */
class Interceptor extends \Mirasvit\SeoMarkup\Block\Og\Product implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Catalog\Helper\Image $imageHelper, \Magento\Directory\Block\Currency $currency, \Magento\Catalog\Helper\Output $outputHelper, \Mirasvit\Seo\Api\Service\StateServiceInterface $stateService, \Mirasvit\SeoMarkup\Model\Config\ProductConfig $productConfig, \Mirasvit\Seo\Helper\Price $priceHelper, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($imageHelper, $currency, $outputHelper, $stateService, $productConfig, $priceHelper, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
